Investors, warrants & staking
Create Payment Proof File
Records a payment-proof file for a warrant and moves the warrant to PENDING_PAYMENT_VERIFICATION with isPaid false.
POSThttps://api.toku.com/platform/create-payment-proof-file
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/platform/create-payment-proof-file' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fileKey": "string",
"warrantID": "string"
}'200 response
{
"fileID": "string",
"orgID": "string",
"fileName": "string",
"mimeType": "string",
"fileKey": "string",
"fileBucket": "string",
"fileURL": "string",
"fileDownloadURL": "string",
"fileUploaded": "string",
"fileSizeInBytes": "string",
"createdByUserID": "string",
"createdAt": "string",
"updatedAt": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"type": "string",
"paymentProof": {
"paymentProofID": "string",
"roleInOrgID": "string",
"investorEntityID": "string",
"fileID": "string",
"createdAt": "string",
"updatedAt": "string",
"warrantID": "string"
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
fileKeystringrequiredwarrantIDstringrequiredResponse
200Successful response
fileIDstringrequiredorgIDstringrequiredfileNamestringrequiredmimeTypestringrequiredfileKeystringrequiredfileBucketstringrequiredfileURLstringrequiredfileDownloadURLstringrequiredfileUploadedstring | nullrequiredfileSizeInBytesstring | nullrequiredcreatedByUserIDstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDinteger | nullrequiredtypestringrequiredpaymentProofobject | nullrequiredShow child attributes
paymentProofIDstringrequiredroleInOrgIDstringrequiredinvestorEntityIDstring | nullrequiredfileIDstringrequiredcreatedAtstringrequiredupdatedAtstringrequiredwarrantIDstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits